com.streambase.liveview.client.alert

## Interface SendEmailAction

- All Superinterfaces:
    AlertRuleAction

      public interface SendEmailAction
      extends AlertRuleAction

  Causes an email to be sent when this alert is triggered.
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `AlertRuleAction.ActionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getBcc()` Gets the value of the bcc property.
    `String` | `getBody()` Gets the value of the body property.
    `List<String>` | `getCc()` Gets the value of the cc property.
    `String` | `getSubject()` Gets the value of the subject property.
    `List<String>` | `getTo()` Gets the value of the to property.
    `void` | `setBody(String value)` Sets the value of the body property.
    `void` | `setSubject(String value)` Sets the value of the subject property.

    - ### Methods inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `getActionType, getDescription, isEnabled, setDescription, setEnabled`

- - ### Method Detail

    - #### getSubject

          String getSubject()

      Gets the value of the subject property.
      Returns:
        possible object is `String`

    - #### setSubject

          void setSubject(String value)

      Sets the value of the subject property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBody

          String getBody()

      Gets the value of the body property.
      Returns:
        possible object is `String`

    - #### setBody

          void setBody(String value)

      Sets the value of the body property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTo

          List<String> getTo()

      Gets the value of the to property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the to property.

      For example, to add a new item, do as follows:

              getTo().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getCc

          List<String> getCc()

      Gets the value of the cc property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cc property.

      For example, to add a new item, do as follows:

              getCc().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getBcc

          List<String> getBcc()

      Gets the value of the bcc property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bcc property.

      For example, to add a new item, do as follows:

              getBcc().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.